Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter
Interface BinaryLogicOperator

All Superinterfaces:
  Filter

All Known Subinterfaces:
  And, Or

    @XmlElement(value="BinaryLogicOpType")
    public interface BinaryLogicOperator

extends Filter

Abstract super-interface for logical operators that accept two or more other logical values as inputs. Currently, the only two subclasses are `And` and `Or`.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`List<Filter>` | `getChildren()` Returns a list containing all of the child filters of this object.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getChildren

    List<Filter> getChildren()

  Returns a list containing all of the child filters of this object.

  This list will contain at least two elements, and each element will be an instance of `Filter`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.